## EogScrollView

EogScrollView

## Functions

GtkWidget * | eog_scroll_view_new ()
void | eog_scroll_view_set_image ()
void | eog_scroll_view_set_scroll_wheel_zoom ()
void | eog_scroll_view_set_zoom_upscale ()
void | eog_scroll_view_set_zoom_multiplier ()
void | eog_scroll_view_set_antialiasing_in ()
void | eog_scroll_view_set_antialiasing_out ()
void | eog_scroll_view_set_transparency ()
gboolean | eog_scroll_view_scrollbars_visible ()
void | eog_scroll_view_set_popup ()
void | eog_scroll_view_zoom_in ()
void | eog_scroll_view_zoom_out ()
void | eog_scroll_view_set_zoom ()
double | eog_scroll_view_get_zoom ()
gboolean | eog_scroll_view_get_zoom_is_min ()
gboolean | eog_scroll_view_get_zoom_is_max ()
EogZoomMode | eog_scroll_view_get_zoom_mode ()
void | eog_scroll_view_set_zoom_mode ()
void | eog_scroll_view_show_cursor ()
void | eog_scroll_view_hide_cursor ()
void | eog_scroll_view_override_bg_color ()
void | eog_scroll_view_set_background_color ()
void | eog_scroll_view_set_transparency_color ()
void | eog_scroll_view_set_use_bg_color ()
gboolean | eog_scroll_view_event_is_over_image ()

## Properties

gboolean | antialiasing-in | Read / Write
gboolean | antialiasing-out | Read / Write
GdkRGBA * | background-color | Read / Write
EogImage * | image | Read / Write
gboolean | scrollwheel-zoom | Read / Write
GdkRGBA * | transparency-color | Write
EogTransparencyStyle | transparency-style | Read / Write
gboolean | use-background-color | Read / Write
EogZoomMode | zoom-mode | Read / Write
gdouble | zoom-multiplier | Read / Write

## Signals

void | next-image | Run Last
void | previous-image | Run Last
void | rotation-changed | Run Last
void | zoom-changed | Run Last

## Types and Values

struct | EogScrollView
enum | EogTransparencyStyle
enum | EogZoomMode

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkGrid
                        ╰── EogScrollView

## Implemented Interfaces

EogScrollView implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Description

## Functions

### eog_scroll_view_new ()

    GtkWidget *
    eog_scroll_view_new (void);

### eog_scroll_view_set_image ()

    void
    eog_scroll_view_set_image (EogScrollView *view,
                               EogImage *image);

### eog_scroll_view_set_scroll_wheel_zoom ()

    void
    eog_scroll_view_set_scroll_wheel_zoom (EogScrollView *view,
                                           gboolean scroll_wheel_zoom);

### eog_scroll_view_set_zoom_upscale ()

    void
    eog_scroll_view_set_zoom_upscale (EogScrollView *view,
                                      gboolean upscale);

### eog_scroll_view_set_zoom_multiplier ()

    void
    eog_scroll_view_set_zoom_multiplier (EogScrollView *view,
                                         gdouble multiplier);

### eog_scroll_view_set_antialiasing_in ()

    void
    eog_scroll_view_set_antialiasing_in (EogScrollView *view,
                                         gboolean state);

### eog_scroll_view_set_antialiasing_out ()

    void
    eog_scroll_view_set_antialiasing_out (EogScrollView *view,
                                          gboolean state);

### eog_scroll_view_set_transparency ()

    void
    eog_scroll_view_set_transparency (EogScrollView *view,
                                      EogTransparencyStyle style);

### eog_scroll_view_scrollbars_visible ()

    gboolean
    eog_scroll_view_scrollbars_visible (EogScrollView *view);

### eog_scroll_view_set_popup ()

    void
    eog_scroll_view_set_popup (EogScrollView *view,
                               GtkMenu *menu);

### eog_scroll_view_zoom_in ()

    void
    eog_scroll_view_zoom_in (EogScrollView *view,
                             gboolean smooth);

### eog_scroll_view_zoom_out ()

    void
    eog_scroll_view_zoom_out (EogScrollView *view,
                              gboolean smooth);

### eog_scroll_view_set_zoom ()

    void
    eog_scroll_view_set_zoom (EogScrollView *view,
                              double zoom);

### eog_scroll_view_get_zoom ()

    double
    eog_scroll_view_get_zoom (EogScrollView *view);

### eog_scroll_view_get_zoom_is_min ()

    gboolean
    eog_scroll_view_get_zoom_is_min (EogScrollView *view);

### eog_scroll_view_get_zoom_is_max ()

    gboolean
    eog_scroll_view_get_zoom_is_max (EogScrollView *view);

### eog_scroll_view_get_zoom_mode ()

    EogZoomMode
    eog_scroll_view_get_zoom_mode (EogScrollView *view);

### eog_scroll_view_set_zoom_mode ()

    void
    eog_scroll_view_set_zoom_mode (EogScrollView *view,
                                   EogZoomMode mode);

### eog_scroll_view_show_cursor ()

    void
    eog_scroll_view_show_cursor (EogScrollView *view);

### eog_scroll_view_hide_cursor ()

    void
    eog_scroll_view_hide_cursor (EogScrollView *view);

### eog_scroll_view_override_bg_color ()

    void
    eog_scroll_view_override_bg_color (EogScrollView *view,
                                       const GdkRGBA *color);

### eog_scroll_view_set_background_color ()

    void
    eog_scroll_view_set_background_color (EogScrollView *view,
                                          const GdkRGBA *color);

### eog_scroll_view_set_transparency_color ()

    void
    eog_scroll_view_set_transparency_color
                                   (EogScrollView *view,
                                    GdkRGBA *color);

### eog_scroll_view_set_use_bg_color ()

    void
    eog_scroll_view_set_use_bg_color (EogScrollView *view,
                                      gboolean use);

### eog_scroll_view_event_is_over_image ()

    gboolean
    eog_scroll_view_event_is_over_image (EogScrollView *view,
                                         const GdkEvent *ev);

Tells if `ev` 's originates from inside the image area. `view` must be realized and have an image set for this to work.

It only works with GdkEvents that supply coordinate data, i.e. GdkEventButton.

#### Parameters

view | An EogScrollView that has an image loaded. |
ev | A GdkEvent which must have window-relative coordinates. |

#### Returns

`TRUE` if `ev` originates from over the image, `FALSE` otherwise.

## Types and Values

### struct EogScrollView

    struct EogScrollView;

### enum EogTransparencyStyle

Used to define how transparent image parts are drawn.

#### Members

EOG_TRANSP_BACKGROUND | Use the background color of the current UI theme |
EOG_TRANSP_CHECKED | Show transparent parts as a checkerboard pattern |
EOG_TRANSP_COLOR | Show transparent parts in a user defined color (see “transparency-color” ) |

### enum EogZoomMode

Used to determine the zooming behaviour of an EogScrollView.

#### Members

EOG_ZOOM_MODE_FREE | Use the currently set zoom factor to display the image (see `eog_scroll_view_set_zoom()`). |
EOG_ZOOM_MODE_SHRINK_TO_FIT | If an image is to large for the window, zoom out until the image is fully visible. This will never zoom in on smaller images. |

## Property Details

### The `“antialiasing-in”` property

      “antialiasing-in”          gboolean

If `TRUE` the displayed image will be filtered in a second pass while being zoomed in.

Owner: EogScrollView

Flags: Read / Write

Default value: TRUE

### The `“antialiasing-out”` property

      “antialiasing-out”         gboolean

If `TRUE` the displayed image will be filtered in a second pass while being zoomed out.

Owner: EogScrollView

Flags: Read / Write

Default value: TRUE

### The `“background-color”` property

      “background-color”         GdkRGBA *

This is the default background color used for painting the background of the image view. If set to `NULL` the color is determined by the active GTK theme.

Owner: EogScrollView

Flags: Read / Write

### The `“image”` property

      “image”                    EogImage *

This is the currently display EogImage.

Owner: EogScrollView

Flags: Read / Write

### The `“scrollwheel-zoom”` property

      “scrollwheel-zoom”         gboolean

If `TRUE` the scrollwheel will zoom the view, otherwise it will be used for scrolling a zoomed image.

Owner: EogScrollView

Flags: Read / Write

Default value: TRUE

### The `“transparency-color”` property

      “transparency-color”       GdkRGBA *

This is the color used to fill the transparent parts of an image if “transparency-style” is set to `EOG_TRANSP_COLOR`.

Owner: EogScrollView

Flags: Write

### The `“transparency-style”` property

      “transparency-style”       EogTransparencyStyle

Determines how to fill the shown image's transparent areas.

Owner: EogScrollView

Flags: Read / Write

Default value: EOG_TRANSP_CHECKED

### The `“use-background-color”` property

      “use-background-color”     gboolean

Owner: EogScrollView

Flags: Read / Write

Default value: FALSE

### The `“zoom-mode”` property

      “zoom-mode”                EogZoomMode

Owner: EogScrollView

Flags: Read / Write

Default value: EOG_ZOOM_MODE_SHRINK_TO_FIT

### The `“zoom-multiplier”` property

      “zoom-multiplier”          gdouble

The current zoom factor is multiplied with this value + 1.0 when scrolling with the scrollwheel to determine the next zoom factor.

Owner: EogScrollView

Flags: Read / Write

Default value: 0.05

## Signal Details

### The `“next-image”` signal

    void
    user_function (EogScrollView *eogscrollview,
                   gpointer       user_data)

Flags: Run Last

### The `“previous-image”` signal

    void
    user_function (EogScrollView *eogscrollview,
                   gpointer       user_data)

Flags: Run Last

### The `“rotation-changed”` signal

    void
    user_function (EogScrollView *eogscrollview,
                   gdouble        arg1,
                   gpointer       user_data)

Flags: Run Last

### The `“zoom-changed”` signal

    void
    user_function (EogScrollView *eogscrollview,
                   gdouble        arg1,
                   gpointer       user_data)

Flags: Run Last